org.apache.struts2.sitemesh

## Class OldDecorator2NewStrutsVelocityDecorator

- java.lang.Object
- - com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator
  - - org.apache.struts2.sitemesh.OldDecorator2NewStrutsDecorator
    - - org.apache.struts2.sitemesh.OldDecorator2NewStrutsVelocityDecorator

- All Implemented Interfaces:
    com.opensymphony.module.sitemesh.RequestConstants, com.opensymphony.sitemesh.Decorator

      public class OldDecorator2NewStrutsVelocityDecorator
      extends OldDecorator2NewStrutsDecorator

  Extends OldDecorator2NewStrutsDecorator to add Struts functionality for Velocity

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.sitemesh.OldDecorator2NewStrutsDecorator

      `oldDecorator`

    - ### Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants

      `DECORATOR, PAGE, ROBOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldDecorator2NewStrutsVelocityDecorator(com.opensymphony.module.sitemesh.Decorator oldDecorator)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `render(com.opensymphony.sitemesh.Content content, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext, ActionContext ctx)` Applies the decorator, using the relevent contexts
    `static void` | `setVelocityManager(VelocityManager mgr)`

    - ### Methods inherited from class org.apache.struts2.sitemesh.OldDecorator2NewStrutsDecorator

      `getEncoding, getLocale, render`

    - ### Methods inherited from class com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator

      `render`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldDecorator2NewStrutsVelocityDecorator

          public OldDecorator2NewStrutsVelocityDecorator(com.opensymphony.module.sitemesh.Decorator oldDecorator)

  - ### Method Detail

    - #### setVelocityManager

          public static void setVelocityManager(VelocityManager mgr)

    - #### render

          protected void render(com.opensymphony.sitemesh.Content content,
                                javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response,
                                javax.servlet.ServletContext servletContext,
                                ActionContext ctx)
                         throws javax.servlet.ServletException,
                                IOException

      Applies the decorator, using the relevent contexts
      Specified by:
        `render` in class `OldDecorator2NewStrutsDecorator`
      Parameters:
        `content` - The content
        `request` - The servlet request
        `response` - The servlet response
        `servletContext` - The servlet context
        `ctx` - The action context for this request, populated with the server state
      Throws:
        `javax.servlet.ServletException`
        `IOException`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.